Bug 122776 - todo color for items due today is same for both completed and uncompleted items
Summary: todo color for items due today is same for both completed and uncompleted items
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: todoview (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-27 05:51 UTC by Morty Abzug
Modified: 2021-09-19 20:43 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Morty Abzug 2006-02-27 05:51:23 UTC
Version:            (using KDE KDE 3.5.0)
Installed from:    Debian testing/unstable Packages
Compiler:          gcc 4.0.3 
OS:                Linux

ToDo items that are due today get a special color in the assorted panes.  So far, so good.  However, once I complete such an item, I expect its color to change to its normal color, to indicate that I don't need to worry about it right now.  This is not the case.
Comment 1 Reinhold Kainhofer 2006-11-02 19:17:54 UTC
Reassigning all KOrganizer bug reports and wishes to the newly created 
korganizer-devel mailing list.
Comment 2 Thomas Thrainer 2008-05-09 12:29:26 UTC
The todo view respects the colours (at least the colour for overdue todos).
Comment 3 Gregor Mi 2018-03-31 08:58:04 UTC
The last update of this ticket is almost 10 years old. Is it still relevant today?
Comment 4 Boian Berberov 2019-01-05 17:26:25 UTC
The `todoview` appears to work correctly in 5.10.0.  However, this exact issue occurs in `agendaview` now.  `agendaview` does not use "To-do due today color" either.  That's with "To-dos use category colors" off."  Could be related to #388302.

Should I file a new bug or update this one?

I'm on openSUSE Tumbleweed, Korganizer 5.10.0.
Comment 5 Bug Janitor Service 2021-09-17 01:14:41 UTC
A possibly relevant merge request was started @ https://invent.kde.org/pim/eventviews/-/merge_requests/42
Comment 6 gjditchfield 2021-09-19 20:43:53 UTC
Git commit e39438fbe5a17e8dd59c1e2f285a069ee2a5ac10 by Glen Ditchfield.
Committed on 17/09/2021 at 01:00.
Pushed by gditchfield into branch 'release/21.08'.

Do not use "due today" color for completed to-dos in Agenda View

Do not use the "due today" color for the background color of a to-do in
the Agenda View if the to-do has been completed.  This is consistent with
to-do colors in the Month View.

M  +1    -1    src/agenda/agendaitem.cpp

https://invent.kde.org/pim/eventviews/commit/e39438fbe5a17e8dd59c1e2f285a069ee2a5ac10